
FT2_LIB=$(OUTPUT_DIR)/install/usr/local/lib/libfreetype.a
# FT2_LIB=$(OUTPUT_DIR)/install/usr/local/lib/freetype.lib
# FT2_LIB=$(OUTPUT_DIR)/install/usr/local/lib/freetyped.lib

# $(FT2_LIB):
#	if [ ! -d $(OUTPUT_DIR)/freetype ] ; then mkdir -p $(OUTPUT_DIR)/freetype && cd $(OUTPUT_DIR)/freetype && cmake -G "MinGW Makefiles" -D CMAKE_C_FLAGS="-s -Os -static" ../../../.modules/freetype -DBUILD_SHARED_LIBS:BOOL=OFF -DFT_DISABLE_ZLIB=ON -DFT_DISABLE_BZIP2=ON -DFT_DISABLE_PNG=ON -DFT_DISABLE_HARFBUZZ=ON -DFT_DISABLE_BROTLI=ON; fi
#	cd $(OUTPUT_DIR)/freetype && cmake --build . --config $(BUILD_TYPE) && cmake --install . --prefix ../install/usr/local --config $(BUILD_TYPE)

$(FT2_LIB):
	if [ ! -d $(OUTPUT_DIR)/freetype ] ; then mkdir -p $(OUTPUT_DIR)/freetype && cd $(OUTPUT_DIR)/freetype && cmake ../../../.modules/freetype -DBUILD_SHARED_LIBS:BOOL=OFF -DFT_DISABLE_ZLIB=ON -DFT_DISABLE_BZIP2=ON -DFT_DISABLE_PNG=ON -DFT_DISABLE_HARFBUZZ=ON -DFT_DISABLE_BROTLI=ON -DCMAKE_SYSTEM_NAME="$(PLATFORM)"; fi
	cd $(OUTPUT_DIR)/freetype && cmake --build . --config $(BUILD_TYPE) && cmake --install . --prefix ../install/usr/local --config $(BUILD_TYPE)


build: $(FT2_LIB)

FT2_SRC_DIR  = .modules/freetype
# FT2_INC_DIR  = $(OUTPUT_DIR)/install/usr/local/include/freetype2
FT2_INC_DIR  = .modules/freetype/include

# FT2_LIB=-lfreetype
